﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:pjm="urn:projectmate-ru:pjm-payment">
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="/">
    <ImportPayments>
    <Payments>
      <xsl:for-each select="Doc1C/payment1C">
        <Payment>
          <Number>
            <xsl:value-of select ="payment/NDoc"/>
          </Number>
          <Date>
            <xsl:value-of select = "pjm:FormatDate(payment/DatePorucheniya,'dd/MM/yyyy','yyyy-MM-dd')"/>
          </Date>
          <Type>payment-draft</Type>
          <PayeeCompany>
            <AccountCode>
              <!--xsl:value-of select="//accDescr/AccountCode"/-->
              <xsl:value-of select ="payment/Recepient/Client/AccountCode"/>
            </AccountCode>
          </PayeeCompany>
          <PayerCompany>
            <FileAs>
              <xsl:value-of select ="payment/Payer/Name"/>
            </FileAs>
            <LegalCode>
              <xsl:value-of select ="payment/Payer/INN"/>
            </LegalCode>
          </PayerCompany>
          <Total>
            <xsl:value-of select="payment/Summa"/>
          </Total>
          <Reason>
            <xsl:value-of select="payment/AssignPayment"/>
          </Reason>
        </Payment>
      </xsl:for-each>
    </Payments>
    </ImportPayments>
  </xsl:template>
</xsl:stylesheet>
